DECLARE @CI_NAME AS VARCHAR(250)

--Declare the required variable. Uncomment the line below and populate with the configuration item's name you need to handle
--SET @CI_NAME = 'SPSUserType'

IF (@CI_NAME IS NULL) 
BEGIN
	RAISERROR ('Please populate the @CI_NAME variable', 15, -1)
	RETURN
END

DECLARE @TYPE_NAME AS VARCHAR(250)

SET @TYPE_NAME = (SELECT TOP 1 Value FROM [Schema-MetaInfo]
WHERE Name = 'DeleteType' AND
BelongsToType = (SELECT ID FROM SchemaObjectType WHERE Name = @CI_NAME))

IF (@TYPE_NAME IS NULL) 
BEGIN
	PRINT 'No delete object behavior found'
END ELSE
BEGIN
	PRINT 'Object behavior found: ' + @TYPE_NAME
END